searchData={"items":[{"type":"module","title":"TelemetryMetricsMnesia","doc":"`Telemetry.Metrics` reporter and metrics backend based on Mnesia DB.","ref":"TelemetryMetricsMnesia.html"},{"type":"module","title":"Installation - TelemetryMetricsMnesia","doc":"Just add the reporter to your dependencies in `mix.exs`:\n\n  defp deps do\n    [\n      {:telemetry_metrics_mnesia, \"~> 0.1.0\"}\n    ]\n  end","ref":"TelemetryMetricsMnesia.html#module-installation"},{"type":"module","title":"Starting - TelemetryMetricsMnesia","doc":"To use it, start the reporter with the `start_link/1` function, providing it a list of\n`Telemetry.Metrics` metric definitions:\n\n \n\n#","ref":"TelemetryMetricsMnesia.html#module-starting"},{"type":"module","title":"From code - TelemetryMetricsMnesia","doc":"```elixir\nimport Telemetry.Metrics\n\nTelemetryMetricsMnesia.start_link(\n  metrics: [\n    counter(\"http.request.count\"),\n    sum(\"http.request.payload_size\"),\n    last_value(\"vm.memory.total\")\n  ]\n)\n```\n\n#","ref":"TelemetryMetricsMnesia.html#module-from-code"},{"type":"module","title":"From supervisor - TelemetryMetricsMnesia","doc":"```elixir\nimport Telemetry.Metrics\n\nchildren = [\n  {TelemetryMetricsMnesia, [\n    metrics: [\n      counter(\"http.request.count\"),\n      sum(\"http.request.payload_size\"),\n      last_value(\"vm.memory.total\")\n    ]\n  ]}\n]\n\nSupervisor.start_link(children, ...)\n```","ref":"TelemetryMetricsMnesia.html#module-from-supervisor"},{"type":"module","title":"How metrics stored - TelemetryMetricsMnesia","doc":"By default, raw events with timestamps are stored in `memory_only` tables in Mnesia DB without distribution. \nThese options are going to be implemented soon...","ref":"TelemetryMetricsMnesia.html#module-how-metrics-stored"},{"type":"module","title":"How metrics returned - TelemetryMetricsMnesia","doc":"#","ref":"TelemetryMetricsMnesia.html#module-how-metrics-returned"},{"type":"module","title":"Single metric - TelemetryMetricsMnesia","doc":"A `Map` with a metric type key.\n\n#### `Counter`\n\n```\n %{\"Counter\" => 2}           \n```\n\n#### `Sum` \n\n```\n%{\"Sum\" => 4}               \n```\n\n#### `last_value`   \n\n```\n%{\"LastValue\" => 8}\n```\n\n#### `Distribution` \n\n```\n%{\"Distribution\" => %{      \n    median: 5,\n    p75: 6,     \n    p90: 6.5,   \n    p95: 6.6,   \n    p99: 6.6    \n  }            \n}\n```\n\n#### `Summary` \n\n```\n %{\"Summary\" => %{ \n   mean: 5,               \n   median: 6,             \n   variance: 1,           \n   standard_diviation: 0.5,\n   count: 100             \n  }                       \n}                         \n```\n\n#","ref":"TelemetryMetricsMnesia.html#module-single-metric"},{"type":"module","title":"Several metric types at once - TelemetryMetricsMnesia","doc":"A `Map` with several metric type keys will be returned.\n\n```elixir\n%{\n  \"Distribution\" => %{\n    median: 4,\n    p75: 5,\n    p90: 7,\n    p95: 7,\n    p99: 8\n  },\n  \"Summary\" => %{\n    mean: 5,\n    variance: 1,\n    standard_deviation: 0.5,\n    median: 5,\n    count: 100\n  }\n}\n```\n\n#","ref":"TelemetryMetricsMnesia.html#module-several-metric-types-at-once"},{"type":"module","title":"Metric with tags - TelemetryMetricsMnesia","doc":"A nested `Map` with metric type keys at the first level and maps with tags vs values at the second.\n```elixir\n%{\n    \"Counter\" => %{\n        %{endpoint: \"/\", code: 200} => 10,\n        %{endpoint: \"/\", code: 500} => 100,\n        %{endpoint: \"/api\", code: 200} => 500\n    }\n}\n```","ref":"TelemetryMetricsMnesia.html#module-metric-with-tags"},{"type":"function","title":"TelemetryMetricsMnesia.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"TelemetryMetricsMnesia.html#child_spec/1"},{"type":"function","title":"TelemetryMetricsMnesia.fetch/2","doc":"Retrieves metric data by its name. Returns a map. \n\n`opts` are reserved for future.\n\nMore info in [\"How metrics returned\"](#module-how-metrics-returned).","ref":"TelemetryMetricsMnesia.html#fetch/2"},{"type":"function","title":"TelemetryMetricsMnesia.start_link/1","doc":"Starts a reporter and links it to the process.\n\nAvailable options:\n- `:metrics` - Required. List of metrics to handle.\n\nMore examples in [\"Starting\"](#module-starting)","ref":"TelemetryMetricsMnesia.html#start_link/1"},{"type":"type","title":"TelemetryMetricsMnesia.metric_data/0","doc":"See [\"How metrics returned\"](#module-how-metrics-returned)","ref":"TelemetryMetricsMnesia.html#t:metric_data/0"},{"type":"type","title":"TelemetryMetricsMnesia.option/0","doc":"","ref":"TelemetryMetricsMnesia.html#t:option/0"},{"type":"type","title":"TelemetryMetricsMnesia.options/0","doc":"","ref":"TelemetryMetricsMnesia.html#t:options/0"}],"content_type":"text/markdown"}